Перейти к основному содержимому

Удалить модель поведения

DELETE /api/v1/bot-agents/{uniqueId}​

Удаляет модель поведения. Если она не найдена, возвращается 404; если нет прав — 403. Стандартную или последнюю модель поведения удалить нельзя.

URL​

https://app.helpfy.ai/api/v1/bot-agents/{uniqueId}

Адрес своей установки подставьте вместо https://app.helpfy.ai. Идентификаторы в фигурных скобках замените значениями из ответов API.

Заголовки​

ЗаголовокЗначение
AuthorizationBasic <base64(email:api_key)>
Acceptapplication/json

Подробнее — авторизация API.

Параметры запроса​

Параметры пути​

ПараметрТипОбязательныйОписание
uniqueIdстрокаДаИдентификатор модели поведения.

Пример запроса​

curl --request DELETE 'https://app.helpfy.ai/api/v1/bot-agents/11111111-1111-4111-8111-111111111111' \
--user 'user@example.com:api_key' \
--header 'Accept: application/json'

Ответы​

HTTPОписание
200Успешный ответ
403Недостаточно прав для удаления модели поведения.
404Модель поведения не найдена либо является стандартной и не может быть удалена.
Пример ответа — HTTP 200

Сокращённый пример; показаны клиентские поля. Значения условные.

{
"unique_id": "17396bcc-6b29-4b2e-b7fd-63c8eb8b6cc8",
"name": "Служба поддержки",
"greeting_message": "example",
"greeting_message_is_enabled": true,
"greeting_filter": "example",
"greeting_filter_is_enabled": true,
"closing_message": "example",
"closing_message_is_enabled": true,
"closing_filter": "example",
"closing_filter_is_enabled": true,
"classify_greeting_is_enabled": true,
"classify_closing_is_enabled": true,
"classify_operator_is_enabled": true,
"classify_spam_is_enabled": true,
"spam_filter": "example",
"spam_filter_is_enabled": true,
"spam_fallback_message": "example",
"system_behavior": "example",
"system_behavior_is_enabled": true,
"executor": "example",
"executor_is_enabled": true,
"executor_fallback_message": "example",
"constant_context": "example",
"constant_context_is_enabled": true,
"public_sources_header": "example",
"public_sources_header_is_enabled": true,
"public_sources_limit": 1,
"is_active": false,
"is_default": false,
"created_at": "2026-10-16T09:00:00.000Z",
"updated_at": "2026-10-16T09:00:00.000Z"
}